#ifndef NM_DBUS_SERVER
#define NM_DBUS_SERVER
#include <QDBusServiceWatcher>


class nm_dbus_server : public QObject
{
  Q_OBJECT
public:
	nm_dbus_server(QObject * parent = 0);
public slots:
	void          set_time(const QString &);
	QStringList   get_battery_info();
	int           get_battery_temp();
	QStringList   get_app_version();
	QStringList   get_small_battery_info();
	void          update_firmware(const QString &);
signals:
    void          firmware_status(int , const QString &);
	void          battery_alert(int , const QString &);
	void          powerdown_alert(int , const QString &);
};
nm_dbus_server* nm_dbus_server_init();

#endif
